> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Channel Order Settings

PUT https://api.bigcommerce.com/stores/{store_hash}/v3/orders/settings/channels/{channel_id}
Content-Type: application/json

Updates order settings for a specific channel.

 **Note:** You must override both notifications `email_addresses` or neither, i.e. either both notification `email_addresses` are an array of valid email addresses, or both `email_addresses` must be null. You may not have one set to an array of addresses and the other set to `null`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/order-operations/order-settings/update-channel-order-settings

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `channel_id` (string, required) — Channel ID
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a ChannelOrderSettings.

- `notifications` (ChannelOrderSettingsNotifications, optional) — Channel notification settings.

## Response

### 200

OK

- `notifications` (OrdersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaNotifications, optional) — Channel notification settings.
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Errors

### 400 Bad Request Error

Bad request. Authentication Required.

- `schema` (betaErrorResponse, optional) — Error payload for the BigCommerce API.

### 422 Unprocessable Entity Error

Order settings data is not valid. This is the result of missing required fields, or of invalid data. See the response for more details.

- `schema` (betaErrorResponse, optional) — Error payload for the BigCommerce API.

## Types

### ChannelOrderSettingsNotifications

Channel notification settings.

- `order_placed` (ChannelOrderSettingsNotificationsOrderPlaced, optional) — Channel order notification settings.
- `forward_invoice` (ChannelOrderSettingsNotificationsForwardInvoice, optional) — Channel order invoice forward settings.

### OrdersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaNotifications

Channel notification settings.

- `order_placed` (OrdersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaNotificationsOrderPlaced, optional) — Channel order notification settings.
- `forward_invoice` (OrdersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaNotificationsForwardInvoice, optional) — Channel order invoice forward settings.

### metaEmpty_Full

Response metadata.

### betaErrorResponse

Error payload for the BigCommerce API.

- `status` (integer, optional) — The HTTP status code.
- `title` (string, optional) — The error title describing the particular error.
- `type` (string, optional)
- `errors` (BetaErrorResponseErrors, optional)

### ChannelOrderSettingsNotificationsOrderPlaced

Channel order notification settings.

- `email_addresses` (list of string, optional, nullable) — Email addresses channel order notifications will be sent to. If null will fall back to global value. Empty array disables order notifications for channel.

### ChannelOrderSettingsNotificationsForwardInvoice

Channel order invoice forward settings.

- `email_addresses` (list of string, optional, nullable) — Email addresses channel order invoices will be forwarded to. If null will fall back to global value. Empty array disables forwarding order invoices for channel.

### OrdersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaNotificationsOrderPlaced

Channel order notification settings.

- `email_addresses` (list of string, optional, nullable) — Email addresses channel order notifications will be sent to. If null will fall back to global value. Empty array disables order notifications for channel.

### OrdersSettingsChannelsChannelIdPutResponsesContentApplicationJsonSchemaNotificationsForwardInvoice

Channel order invoice forward settings.

- `email_addresses` (list of string, optional, nullable) — Email addresses channel order invoices will be forwarded to. If null will fall back to global value. Empty array disables forwarding order invoices for channel.

### BetaErrorResponseErrors

## Examples

### Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel

**Request**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "admin@example.com",
        "another-email@example.com"
      ]
    },
    "forward_invoice": {
      "email_addresses": []
    }
  }
}
```

**Response**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "string"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "string"
      ]
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id"

payload = { "notifications": {
        "order_placed": { "email_addresses": ["admin@example.com", "another-email@example.com"] },
        "forward_invoice": { "email_addresses": [] }
    } }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"notifications":{"order_placed":{"email_addresses":["admin@example.com","another-email@example.com"]},"forward_invoice":{"email_addresses":[]}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id"

	payload := strings.NewReader("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}")
  .asString();
```

```php Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id', [
  'body' => '{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "admin@example.com",
        "another-email@example.com"
      ]
    },
    "forward_invoice": {
      "email_addresses": []
    }
  }
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": [\n        \"admin@example.com\",\n        \"another-email@example.com\"\n      ]\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Override Order Placed Email Addresses and Forward Email Addresses Global Value for Channel
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["notifications": [
    "order_placed": ["email_addresses": ["admin@example.com", "another-email@example.com"]],
    "forward_invoice": ["email_addresses": []]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Reset Order Placed Email Addresses to Global Value for Channel

**Request**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": null
    },
    "forward_invoice": {
      "email_addresses": null
    }
  }
}
```

**Response**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "string"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "string"
      ]
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Reset Order Placed Email Addresses to Global Value for Channel
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id"

payload = { "notifications": {
        "order_placed": { "email_addresses": None },
        "forward_invoice": { "email_addresses": None }
    } }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Reset Order Placed Email Addresses to Global Value for Channel
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"notifications":{"order_placed":{"email_addresses":null},"forward_invoice":{"email_addresses":null}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Reset Order Placed Email Addresses to Global Value for Channel
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id"

	payload := strings.NewReader("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": null\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": null\n    }\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Reset Order Placed Email Addresses to Global Value for Channel
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": null\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": null\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Reset Order Placed Email Addresses to Global Value for Channel
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": null\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": null\n    }\n  }\n}")
  .asString();
```

```php Reset Order Placed Email Addresses to Global Value for Channel
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id', [
  'body' => '{
  "notifications": {
    "order_placed": {
      "email_addresses": null
    },
    "forward_invoice": {
      "email_addresses": null
    }
  }
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Reset Order Placed Email Addresses to Global Value for Channel
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": null\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": null\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Reset Order Placed Email Addresses to Global Value for Channel
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["notifications": [
    "order_placed": ["email_addresses": ],
    "forward_invoice": ["email_addresses": ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Disable Order Placed Notifications for Channel

**Request**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": []
    },
    "forward_invoice": {
      "email_addresses": []
    }
  }
}
```

**Response**

```json
{
  "notifications": {
    "order_placed": {
      "email_addresses": [
        "string"
      ]
    },
    "forward_invoice": {
      "email_addresses": [
        "string"
      ]
    }
  },
  "meta": {}
}
```

**SDK Code**

```python Disable Order Placed Notifications for Channel
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id"

payload = { "notifications": {
        "order_placed": { "email_addresses": [] },
        "forward_invoice": { "email_addresses": [] }
    } }
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Disable Order Placed Notifications for Channel
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id';
const options = {
  method: 'PUT',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"notifications":{"order_placed":{"email_addresses":[]},"forward_invoice":{"email_addresses":[]}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Disable Order Placed Notifications for Channel
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id"

	payload := strings.NewReader("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Disable Order Placed Notifications for Channel
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Disable Order Placed Notifications for Channel
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}")
  .asString();
```

```php Disable Order Placed Notifications for Channel
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id', [
  'body' => '{
  "notifications": {
    "order_placed": {
      "email_addresses": []
    },
    "forward_invoice": {
      "email_addresses": []
    }
  }
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Disable Order Placed Notifications for Channel
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"notifications\": {\n    \"order_placed\": {\n      \"email_addresses\": []\n    },\n    \"forward_invoice\": {\n      \"email_addresses\": []\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Disable Order Placed Notifications for Channel
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["notifications": [
    "order_placed": ["email_addresses": []],
    "forward_invoice": ["email_addresses": []]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/settings/channels/channel_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```